pacho       14/10/15 10:01:31

  Modified:             nwmouse-20090906.183839.ebuild ChangeLog
  Log:
  Support multilib providers for deps. Bump to EAPI=5.
  
  (Portage version: 2.2.12/cvs/Linux x86_64, signed Manifest commit with key 
A188FBD4)

Revision  Changes    Path
1.6                  games-rpg/nwmouse/nwmouse-20090906.183839.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-rpg/nwmouse/nwmouse-20090906.183839.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-rpg/nwmouse/nwmouse-20090906.183839.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-rpg/nwmouse/nwmouse-20090906.183839.ebuild?r1=1.5&r2=1.6

Index: nwmouse-20090906.183839.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/games-rpg/nwmouse/nwmouse-20090906.183839.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- nwmouse-20090906.183839.ebuild      25 May 2014 11:21:56 -0000      1.5
+++ nwmouse-20090906.183839.ebuild      15 Oct 2014 10:01:31 -0000      1.6
@@ -1,6 +1,8 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/games-rpg/nwmouse/nwmouse-20090906.183839.ebuild,v 1.5 
2014/05/25 11:21:56 ulm Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/games-rpg/nwmouse/nwmouse-20090906.183839.ebuild,v 1.6 
2014/10/15 10:01:31 pacho Exp $
+
+EAPI=5
 
 inherit games
 
@@ -15,18 +17,26 @@
 IUSE=""
 RESTRICT="strip"
 
-RDEPEND="sys-libs/glibc
-       dev-libs/elfutils
-       games-rpg/nwn-data
-       amd64? (
-               app-emulation/emul-linux-x86-xlibs
-               app-emulation/emul-linux-x86-sdl )
+RDEPEND="
        >=games-rpg/nwn-1.68-r4
-       x86? (
-               x11-libs/libXcursor
-               x11-libs/libXext
-               x11-libs/libX11
-               media-libs/libsdl )"
+       games-rpg/nwn-data
+       sys-libs/glibc
+       || (
+               (
+                       >=dev-libs/elfutils-0.155-r1[abi_x86_32(-)]
+                       >=media-libs/libsdl-1.2.15-r5[abi_x86_32(-)]
+                       x11-libs/libX11[abi_x86_32(-)]
+                       x11-libs/libXcursor[abi_x86_32(-)]
+                       x11-libs/libXext[abi_x86_32(-)]
+               )
+               amd64? (
+                       app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+                       app-emulation/emul-linux-x86-sdl[-abi_x86_32(-)]
+                       app-emulation/emul-linux-x86-xlibs[-abi_x86_32(-)]
+               )
+       )
+"
+DEPEND=""
 
 # I've looked at this stuff, and I can't find the problem myself, so I'm just
 # removing the warnings.  If someone feels like finding the patch, that would 
be
@@ -43,11 +53,11 @@
 src_install() {
        # libelf moved to games-rpg/nwn, see bug #210562
        exeinto "${dir}"
-       doexe "${PN}.so" || die "Installation failed"
+       doexe "${PN}.so"
        exeinto "${dir}/${PN}/libdis"
-       doexe "libdisasm.so" || die "Installation failed"
+       doexe "libdisasm.so"
        insinto "${dir}/${PN}/cursors"
-       doins -r cursors/* || die "Installation failed"
+       doins -r cursors/*
        prepgamesdirs
 }
 



1.15                 games-rpg/nwmouse/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-rpg/nwmouse/ChangeLog?rev=1.15&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-rpg/nwmouse/ChangeLog?rev=1.15&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-rpg/nwmouse/ChangeLog?r1=1.14&r2=1.15

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-rpg/nwmouse/ChangeLog,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- ChangeLog   25 May 2014 11:21:56 -0000      1.14
+++ ChangeLog   15 Oct 2014 10:01:31 -0000      1.15
@@ -1,6 +1,9 @@
 # ChangeLog for games-rpg/nwmouse
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-rpg/nwmouse/ChangeLog,v 1.14 
2014/05/25 11:21:56 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-rpg/nwmouse/ChangeLog,v 1.15 
2014/10/15 10:01:31 pacho Exp $
+
+  15 Oct 2014; Pacho Ramos <[email protected]> nwmouse-20090906.183839.ebuild:
+  Support multilib providers for deps. Bump to EAPI=5.
 
   25 May 2014; Ulrich Müller <[email protected]> nwmouse-20090906.183839.ebuild:
   Fix LICENSE, bug 505732.
@@ -55,4 +58,3 @@
   26 Jul 2006; Chris Gianelloni <[email protected]> +metadata.xml,
   +nwmouse-0.1.ebuild:
   Initial import.  Ebuild by me.  Closing bug #109619.
-




Reply via email to